module servcvgen

go 1.17

require (
	github.com/appleboy/gin-jwt/v2 v2.8.0
	github.com/casbin/casbin/v2 v2.42.0
	github.com/gin-contrib/cors v1.3.1
	github.com/gin-contrib/multitemplate v0.0.0-20220321030454-c3962357f8fe
	github.com/gin-gonic/gin v1.7.7
	github.com/go-redis/redis/v8 v8.11.5
	github.com/golang-jwt/jwt/v4 v4.4.0
	github.com/google/uuid v1.3.0
	github.com/jesusperez/cfgsrv v0.0.0-00010101000000-000000000000
	github.com/jesusperez/cvdata v0.0.0-00010101000000-000000000000
	github.com/jesusperez/datautils v0.0.0-00010101000000-000000000000
	github.com/pkg/browser v0.0.0-20210911075715-681adbf594b8
	github.com/sirupsen/logrus v1.8.1
	github.com/toorop/go-dkim v0.0.0-20201103131630-e1cd1a0a5208
	github.com/xhit/go-simple-mail/v2 v2.11.0
	gopkg.in/yaml.v2 v2.4.0
	gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b
)

require (
	github.com/Knetic/govaluate v3.0.1-0.20171022003610-9aa49832a739+incompatible // indirect
	github.com/cespare/xxhash/v2 v2.1.2 // indirect
	github.com/dgryski/go-rendezvous v0.0.0-20200823014737-9f7001d12a5f // indirect
	github.com/gin-contrib/sse v0.1.0 // indirect
	github.com/go-playground/locales v0.14.0 // indirect
	github.com/go-playground/universal-translator v0.18.0 // indirect
	github.com/go-playground/validator/v10 v10.10.1 // indirect
	github.com/golang/protobuf v1.5.2 // indirect
	github.com/json-iterator/go v1.1.12 // indirect
	github.com/leodido/go-urn v1.2.1 // indirect
	github.com/mattn/go-isatty v0.0.14 // indirect
	github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd // indirect
	github.com/modern-go/reflect2 v1.0.2 // indirect
	github.com/ugorji/go/codec v1.2.7 // indirect
	golang.org/x/crypto v0.0.0-20220321153916-2c7772ba3064 // indirect
	golang.org/x/sys v0.0.0-20220319134239-a9b59b0215f8 // indirect
	golang.org/x/text v0.3.7 // indirect
	google.golang.org/protobuf v1.27.1 // indirect
)

replace github.com/jesusperez/cfgsrv => ../lib/cfgsrv

replace github.com/jesusperez/cvdata => ../lib/cvdata

replace github.com/jesusperez/datautils => ../lib/datautils
